Bug 962530 - Configure NETCONSOLE* for 3.6 RT kernel
Configure NETCONSOLE* for 3.6 RT kernel
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: realtime-kernel (Show other bugs)
2.3
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: John Kacur
MRG Quality Engineering
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-13 15:10 EDT by Clark Williams
Modified: 2014-05-20 09:57 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-20 09:57:38 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Clark Williams 2013-05-13 15:10:28 EDT
Description of problem:

CONFIG_NETCONSOLE and CONFIG_NETCONSOLE_DYNAMIC should be configured 
for all variants of the 3.6 realtime kernel
Comment 1 John Kacur 2013-06-13 16:10:09 EDT
Symbol: NETCONSOLE [=n]
Type : tristate
Prompt: Network console logging support
Defined at drivers/net/Kconfig:154
Depends on: NETDEVICES [=y] && NET_CORE [=y] && !PREEMPT_RT_FULL [=y]
Location:
-> Device Drivers
-> Network device support (NETDEVICES [=y])
-> Network core driver support (NET_CORE [=y])

CONFIG_NETCONSOLE_DYNAMIC:

This option enables the ability to dynamically reconfigure target
parameters (interface, IP addresses, port numbers, MAC addresses)
at runtime through a userspace interface exported using configfs.
See <file:Documentation/networking/netconsole.txt> for details.

Symbol: NETCONSOLE_DYNAMIC [=n]
Type : boolean
Prompt: Dynamic reconfiguration of logging targets
Defined at drivers/net/Kconfig:161
Depends on: NETDEVICES [=y] && NET_CORE [=y] && NETCONSOLE [=n] && SYSFS [=y] && CONFIGFS_FS [=m] && (NETCONSOLE [=n]!=y || CONFIGFS_FS [=m]!=m)
Location:
-> Device Drivers
-> Network device support (NETDEVICES [=y])
-> Network core driver support (NET_CORE [=y])
-> Network console logging support (NETCONSOLE [=n])

So, NETCONSOLE_DYNAMIC depends on NETCONSOLE, which cannot be configured for
 PREEMPT_RT_FULL

Note You need to log in before you can comment on or make changes to this bug.